FS/XFS testing framework
 help / color / mirror / Atom feed
* [PATCH] xfs/32: fix test failure on kernels which don't support bs > ps
@ 2025-01-17 19:06 Theodore Ts'o
  2025-01-17 21:02 ` Darrick J. Wong
  0 siblings, 1 reply; 7+ messages in thread
From: Theodore Ts'o @ 2025-01-17 19:06 UTC (permalink / raw)
  To: fstests; +Cc: Theodore Ts'o

When trying to mount a file system with a block size > page size on
kernel which doesn't support this, suppress the error messages from
showing up in the output file lest it cause test failures.

Fixes: 0b66f6efd669 ("xfs/032: try running on blocksize > pagesize filesystems")
Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
 tests/xfs/032 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/032 b/tests/xfs/032
index 41a9134d8..9c1741cf1 100755
--- a/tests/xfs/032
+++ b/tests/xfs/032
@@ -44,7 +44,7 @@ for ((; SECTORSIZE <= 65536; SECTORSIZE *= 2)); do
 		if [ $? -ne 0 ]; then
 			continue
 		fi
-		if ! _try_scratch_mount; then
+		if ! _try_scratch_mount >& /dev/null ; then
 			if [ $BLOCKSIZE -le $PAGESIZE ]; then
 				_fail "mount $(_scratch_mount_options $*) failed"
 			fi
-- 
2.45.2


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2025-01-21 15:59 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-17 19:06 [PATCH] xfs/32: fix test failure on kernels which don't support bs > ps Theodore Ts'o
2025-01-17 21:02 ` Darrick J. Wong
2025-01-20 17:01   ` [PATCH -v2] " Theodore Ts'o
2025-01-21  2:35     ` Zorro Lang
2025-01-21  3:33       ` Theodore Ts'o
2025-01-21  5:12         ` Zorro Lang
2025-01-21 15:59     ` Darrick J. Wong

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox